package com.bootdo.datas.service;


import com.bootdo.datas.dto.DateAndCountDTO;
import com.bootdo.datas.dto.DateAndCountListDTO;
import com.bootdo.datas.dto.MapDataDTO;
import com.bootdo.datas.dto.NameAndValueDTO;


import java.util.List;
import java.util.Map;

/**
 * 重要数据表
 * 
 * @author admin
 * @email admin@163.com
 * @date 2022-03-06 10:37:54
 */
public interface DataService {

	/**
	 * 获取地图数据
	 *
	 * @return
	 */
	List<MapDataDTO> mapDataList(String dataLevel,String auditStage);

	/**
	 * 上报趋势图
	 *
	 * @return
     */
    List<DateAndCountDTO> trendData();

    /**
     * 所属行业子类
     *
     * @return
     */
    List<NameAndValueDTO> industryData();

    /**
     * 行业类别 统计
     *
     * @return
     */
    List<NameAndValueDTO> industryTypeData();

    /**
     * 数据等级 级别
     *
     * @return
     */
    DateAndCountListDTO dataLevelData();

    /**
     * 计算审核通过率
     *
     * @return
     */
    Double dataAuditData();

    /**
     * 用户所属类别
     *
     * @return
     */
    List<NameAndValueDTO> dataCategoryData();



}
